%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Crypt-Blowfish
Version:       2.14
Release:       3mamba
Summary:       Crypt::Blowfish - An XS-based implementation of the Blowfish cryptography algorithm
Group:         Development/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://www.cpan.org/authors/id/D/DP/DPARIS/Crypt-Blowfish-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel >= %perl_major_ver
Requires:      perl >= %perl_major_ver

%description
An XS-based implementation of the Blowfish cryptography algorithm.

%prep
%setup -q -n Crypt-Blowfish-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor

%make
make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat Apr 15 2023 Sdk Build System <sdk@mambasoft.it> 2.14-3mamba
- rebuilt with perl 5.36.0

* Sat Aug 20 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.14-2mamba
- rebuilt

* Sun Jul 28 2013 Automatic Build System <autodist@mambasoft.it> 2.14-1mamba
- automatic update by autodist

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12-2mamba
- perl 5.16 mass rebuild

* Fri Mar 05 2010 Automatic Build System <autodist@mambasoft.it> 2.12-1mamba
- automatic update by autodist

* Tue Nov 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10-2mamba
- automatic rebuild by autodist

* Fri Sep 14 2007 Aleph0 <aleph0@openmamba.org> 2.10-1mamba
- update to 2.10

* Thu May 06 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.09-1qilnx
- first build
